Cannoli_2.12: Core 1.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package cannoli
  Definition Classes
    bdgenomics
- BcftoolsCall
- BcftoolsCallArgs
- BcftoolsMpileup
- BcftoolsMpileupArgs
- BcftoolsNorm
- BcftoolsNormArgs
- BedtoolsIntersect
- BedtoolsIntersectArgs
- Blastn
- BlastnArgs
- Bowtie
- Bowtie2
- Bowtie2Args
- BowtieArgs
- BwaMem
- BwaMem2
- BwaMem2Args
- BwaMemArgs
- Cannoli
- CannoliFn
- Freebayes
- FreebayesArgs
- Gem
- GemArgs
- LongMinimap2
- LongUnimap
- MagicBlast
- MagicBlastArgs
- Minimap2
- Minimap2Args
- SamtoolsMpileup
- SamtoolsMpileupArgs
- SingleEndBowtie2
- SingleEndBowtie2Args
- SingleEndBwaMem
- SingleEndBwaMem2
- SingleEndMinimap2
- SingleEndStar
- SingleEndStarArgs
- SingleEndUnimap
- Snap
- SnapArgs
- SnpEff
- SnpEffArgs
- Star
- StarArgs
- Unimap
- UnimapArgs
- Vep
- VepArgs
- VtNormalize
- VtNormalizeArgs

c

org.bdgenomics.cannoli

# CannoliFn 

###

#### abstract class CannoliFn[X, Y] extends (X) ⇒ Y with Logging

Cannoli function.

X

  Cannoli function argument type parameter.

Y

  Cannoli function result type parameter.

Linear Supertypes
Logging, (X) ⇒ Y, AnyRef, Any
Known Subclasses
BcftoolsCall, BcftoolsMpileup, BcftoolsNorm, BedtoolsIntersect, Blastn, Bowtie, Bowtie2, BwaMem, BwaMem2, Freebayes, Gem, LongMinimap2, LongUnimap, MagicBlast, Minimap2, SamtoolsMpileup, SingleEndBowtie2, SingleEndBwaMem, SingleEndBwaMem2, SingleEndMinimap2, SingleEndStar, SingleEndUnimap, Snap, SnpEff, Star, Unimap, Vep, VtNormalize
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CannoliFn
2. Logging
3. Function1
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new CannoliFn(sc: SparkContext)

   sc

     Spark context.

### Abstract Value Members

1.  abstract def apply(v1: X): Y
   Definition Classes
     Function1

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def absolute(pathName: String): String
5.  def andThen[A](g: (Y) ⇒ A): (X) ⇒ A
   Definition Classes
     Function1
   Annotations
     @unspecialized()
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
8.  def compose[A](g: (A) ⇒ X): (A) ⇒ Y
   Definition Classes
     Function1
   Annotations
     @unspecialized()
9.  def debug(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
   Attributes
     protected
   Definition Classes
     Logging
10.  def debug(msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
11.  def debug(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
14.  def error(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
15.  def error(msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
16.  def error(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging
17.  def files(pathName: String, filter: PathFilter): Seq[String]
18.  def files(pathName: String): Seq[String]
19.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
20.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
21.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
22.  def indexPaths(referencePath: String, requiredExtensions: Seq[String], optionalExtensions: Seq[String]): Seq[String]
23.  def info(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
24.  def info(msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
25.  def info(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging
26.  def isDebugEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
27.  def isErrorEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
28.  def isInfoEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
29.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
30.  def isTraceEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
31.  def isWarnEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
32.  def logger: Logger
    Attributes
      protected
    Definition Classes
      Logging
33.  def loggerName: String
    Attributes
      protected
    Definition Classes
      Logging
34.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
35.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
36.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
37.  def root(pathName: String): String
38.  val sc: SparkContext
39.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
40.  def toString(): String
    Definition Classes
      Function1 → AnyRef → Any
41.  def trace(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
42.  def trace(msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
43.  def trace(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging
44.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
45.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
46.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
47.  def warn(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
48.  def warn(msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
49.  def warn(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging

### Inherited from Logging

### Inherited from (X) ⇒ Y

### Inherited from AnyRef

### Inherited from Any

### Ungrouped